std::ranges::zip_view::iterator::operator[](3)

NAME
std::ranges::zip_view::iterator::operator[] - std::ranges::zip_view::iterator::operator[]

Synopsis
   constexpr auto operator[]( difference_type n ) const (since C++23)
       requires /*all-random-access*/<Const, Views...>;
   Obtains a std::tuple that consists of underlying pointed-to elements at given offset
   relative to current location.
   Equivalent to:
 return /*tuple-transform*/([&]<class I>(I& i) -> decltype(auto) {
            return i[iter_difference_t<I>(n)];
        }, current_);

Parameters
   n - position relative to current location

Return value
   The obtained tuple-like element.

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example